Name:           udpcast
Summary:        UDP broadcast file distribution and installation
Version:        20230924
Release:        %mkrel 1
Group:          Networking/Other
License:        GPLv2+ and BSD
URL:            https://udpcast.linux.lu/
Source:         https://udpcast.linux.lu/download/%{name}-%{version}.tar.gz

BuildRequires:  m4

# Fix for build failure on Fedora Rawhide, sent upstream 2013-02-20.
Patch0:         udpcast-20120424-fd_set.patch
# Fix console.c:89:7: warning: ignoring return value of 'read'
Patch1:         udpcast-20200328-read-warn.patch

%description
Command-line client for UDP sender and receiver.  Udpcast is an
application for multicasting data to multiple targets.


%package devel
Summary:        Development headers for %{name}
Requires:       %{name} >= %{version}-%{release}


%description devel
Command-line client for UDP sender and receiver.  Udpcast is an
application for multicasting data to multiple targets.


%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc Changelog.txt cmd.html
%license COPYING
%{_sbindir}/udp-sender
%{_sbindir}/udp-receiver
%{_mandir}/man1/udp-sender.1*
%{_mandir}/man1/udp-receiver.1*

%files devel
%doc COPYING
%dir %{_includedir}/udpcast
%{_includedir}/udpcast/rateGovernor.h


%changelog
* Fri Oct 27 2023 daviddavid <daviddavid> 20230924-1.mga10
+ Revision: 2002026
- new version: 20230924

* Tue Dec 06 2022 daviddavid <daviddavid> 20211207-1.mga9
+ Revision: 1918458
- new version: 20211207

* Wed Mar 16 2022 umeabot <umeabot> 20200328-2.mga9
+ Revision: 1794586
- Mageia 9 Mass Rebuild

* Sun Dec 06 2020 luigiwalser <luigiwalser> 20200328-1.mga8
+ Revision: 1654016
- 20200328

* Sun Aug 23 2020 joequant <joequant> 20120424-6.mga8
+ Revision: 1618116
- bump
- remove arm64 workaround

* Fri Feb 14 2020 umeabot <umeabot> 20120424-5.mga8
+ Revision: 1517648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 20120424-4.mga7
+ Revision: 1301497
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 20120424-3.mga7
+ Revision: 1242861
- fix build on aarch64
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 09 2015 neoclust <neoclust> 20120424-1.mga6
+ Revision: 909009
- imported package udpcast

